<div class="infra-num-card mayor-kind">
  <dsfr-stepper
    [numberOfSteps]="3"
    [stepNumber]="1"
    stepTitle="Choisir un identifiant"
    nextStepTitle="Sélectionner votre mairie">
  </dsfr-stepper>
  <hr>
  <form
    class="credentials-form"
    [formGroup]="subscriptionForm"
    (ngSubmit)="onSubmit()">
    <p class="form-hint">Tous les champs sont obligatoires.</p>
    <dsfr-input
      label="Adresse électronique"
      name="email"
      id="email"
      formControlName="email"
      (input)="onEmailInput($event)"
      hint="Format attendu : nom@domaine.fr"
      [hasFailed]="(subscriptionForm.get('email').dirty && !subscriptionForm.get('email').valid) || !!alreadyExistingEmail"
      [failureMessage]="failureMessage">
    </dsfr-input>
    <dsfr-password
      (passwordStatusUpdated)="onPasswordStatusChange($event)"
      label="Mot de passe"
      id="password"
      type="signup"
      [params]="passwordParams"
      formControlName="password">
    </dsfr-password>
    <dsfr-checkbox
      name="newsletter"
      formControlName="newsletter"
      [items]="checkboxItem">
    </dsfr-checkbox>
    <dsfr-input
      style="display: none;"
      label="honey"
      name="honey"
      id="honey"
      formControlName="honey">
    </dsfr-input>
    <div class="card-buttons">
      <dsfr-button
        label="Valider"
        [size]="buttonSize"
        [htmlType]="buttonType"
        [disabled]='!subscriptionForm.valid || passwordStatus !== "VALID"'>
      </dsfr-button>
    </div>
  </form>
</div>
